package com.rthoni.stssaguenay.dbo;

import com.luticate.utils.dbo.LuDbo;
import com.luticate.utils.dbo.LuPaginatedDbo;

import org.json.JSONException;
import org.json.JSONObject;

import java.util.HashMap;

/**
 * Created by robin on 9/30/16.
 */

public class RoutesDbo extends LuDbo {

    public static class PaginatedRoutesDbo extends LuPaginatedDbo<RoutesDbo>
    {
    }

    protected String _id;

    protected String _name;

    protected String _bgColor;

    protected String _fgColor;

    @Override
    public void fromJson(JSONObject json) throws JSONException {
        _id = json.getString("id");
        _name = json.getString("name");
        _bgColor = json.getString("bgColor");
        _fgColor = json.getString("fgColor");
    }

    @Override
    public HashMap<String, Object> toArray() {
        HashMap<String, Object> map = new HashMap<>();
        map.put("id", _id);
        map.put("name", _name);
        map.put("bgColor", _bgColor);
        map.put("fgColor", _fgColor);
        return map;
    }

    public String getId() {
        return _id;
    }

    public void setId(String id) {
        _id = id;
    }

    public String getFullName()
    {
        return String.format("%s - %s", _id, _name);
    }

    public String getName() {
        return _name;
    }

    public void setName(String name) {
        _name = name;
    }

    public String getBgColor() {
        return _bgColor;
    }

    public void setBgColor(String bgColor) {
        _bgColor = bgColor;
    }

    public String getFgColor() {
        return _fgColor;
    }

    public void setFgColor(String fgColor) {
        _fgColor = fgColor;
    }
}
