package com.rthoni.stssaguenay.dbo;

import com.luticate.utils.dbo.LuDbo;

import org.json.JSONException;
import org.json.JSONObject;

import java.util.HashMap;

/**
 * Created by robin on 10/3/16.
 */

public class UserDbo extends LuDbo {

    protected String _id;

    protected String _name;

    protected String _email;

    @Override
    public void fromJson(JSONObject json) throws JSONException {
        _id = json.getString("id");
        _name = json.getString("name");
        _email = json.getString("email");
    }

    @Override
    public HashMap<String, Object> toArray() {
        HashMap<String, Object> map = new HashMap<>();
        map.put("id", _id);
        map.put("name", _name);
        map.put("email", _email);
        return map;
    }

    public String getId() {
        return _id;
    }

    public void setId(String id) {
        _id = id;
    }

    public String getName() {
        return _name;
    }

    public void setName(String name) {
        _name = name;
    }

    public String getEmail() {
        return _email;
    }

    public void setEmail(String email) {
        _email = email;
    }
}
